%define	name	kterm
%define	version	6.2.0
%define	release	%mkrel 31

Summary:	A Kanji (Japanese character set) terminal emulator for X
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:		ftp://ftp.sunet.se/pub/X11/R6contrib/applications/%{name}-%{version}.tar.bz2
Patch0:		kterm-6.2.0-kbd.patch.bz2
Patch1:		kterm-6.2.0-glibc.patch.bz2
Patch2:		kterm-6.2.0-utmp98.patch.bz2
#Patch3:	kterm-6.2.0-hanzi.patch.bz2
Patch4:		kterm-6.2.0-allfonts.patch.bz2
Patch5:		kterm-6.2.0-gcc3.4-fix.patch.bz2
Patch6:		kterm-6.2.0-varargs.patch.bz2
License:	GPL
Url:		http://www.asahi-net.or.jp/~hc3j-tkg/kterm/
Group:		Terminals
BuildRequires:	imake
BuildRequires:	libxaw-devel
BuildRequires:	libxp-devel
BuildRequires:	ncurses-devel
BuildRequires:	rman
BuildRequires:	sharutils
BuildRequires:	utempter-devel
Requires:	utempter locales-ja

%description
The kterm package provides a terminal emulator for the Kanji Japanese
character set.

Install kterm if you need a Kanji character set terminal emulator.
You'll also need to have the X Window System installed.

%prep
%setup -q
%patch0 -p1 -b .kbd
%patch1 -p1 -b .glibc
%patch2 -p1 -b .utempter
#%patch3 -p1 -b .hanzi
%patch4 -p1 -b .allfonts
%patch5 -p1 -b .gcc34
%patch6 -p1 -b .varargs
uudecode DEMO.kt.uu

%build
xmkmf
%make CDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
%{makeinstall_std} install.man MANPATH=/usr/share/man
chmod 755 %{buildroot}%{_bindir}/kterm

# install menu
install -m 755 -d %{buildroot}%{_datadir}/applications

cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=KTerm
Comment=Kanji Terminal Emulator
Exec=%{_bindir}/%{name}
Icon=terminals_section
Terminal=false
Type=Application
Categories=TerminalEmulator;System;Utility;
EOF

# install japanese man page
cat kterm.jman | iconv -f iso-2022-jp -t euc-jp > kterm.man.euc
install -m644 kterm.man.euc -D %{buildroot}%{_mandir}/ja/man1/kterm.1

#(peroyvind) remove unpackaged files
rm -f %{buildroot}/usr/lib/X11/app-defaults

%post
update-alternatives --install %{_prefix}/bin/xvt xvt %{_prefix}/bin/kterm 15

%postun
if [ "$1" = "0" ]; then
    update-alternatives --remove xvt %{_prefix}/bin/kterm
fi

%files
%doc DEMO.kt README*
%{_bindir}/kterm
%config(noreplace) %{_sysconfdir}/X11/app-defaults/KTerm
%{_mandir}/man1/kterm.1x*
#{_prefix}/X11R6/lib/X11/doc/html/kterm.1.html
%lang(ja) %{_mandir}/ja/man1/kterm.1*
%{_datadir}/applications/mageia-%{name}.desktop


%changelog

* Thu Jan 17 2013 sander85 <sander85> 6.2.0-31.mga3
+ Revision: 389003
- Fix desktop file

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 22 2011 steletch <steletch> 6.2.0-30.mga1
+ Revision: 75609
- Clean spec file
- imported package kterm

